swift-object-expirer(1)

NAME

swift-object-expirer - Openstack-swift object expirer

SYNOPSIS

swift-object-expirer [CONFIG] [-h|--help] [-v|--verbose] [-o|--once]

DESCRIPTION

The swift-object-expirer offers scheduled deletion of objects. The Swift client would use the X-Delete-At or X-Delete-After headers during an object PUT or POST and the cluster would automatically quit serving that object at the specified time and would shortly thereafter remove the object from the system. The X-Delete-At header takes a Unix Epoch timestamp, in integer form; for example: 1317070737 represents Mon Sep 26 20:58:57 2011 UTC. The X-Delete-After header takes a integer number of seconds. The proxy server that receives the request will convert this header into an X-Delete-At header using its current time plus the value given. The options are as follows:
    -v
    --verbose
        log to console
    -o
    --once
        only run one pass of daemon

DOCUMENTATION

More in depth documentation in regards to swift-object-expirer can be foud at http://swift.openstack.org/overview_expiring_objects.html and also about Openstack-Swift as a whole can be found at http://swift.openstack.org/index.html

SEE ALSO
object-expirer.conf(5)